Subject: Re: [bitcoin-dev] Can we penalize peers who relay rejected replacement txs?

From: Tom Harding <[email-masked]>
Date: Thu, 09 Jul 2015 18:57:27 -0700

Replace-by-anything can only work if conflicts are relayed, so the
solution is not to act against the peer.

Alex Morcos offered a suggestion on IRC -- track recently-rejected
txid's and don't getdata them.  The idea sounds good to me.

On 7/9/2015 4:55 PM, Matt Whitlock wrote:
> I'm presently running my full node with Peter Todd's full replace-by-fee patch set [1]. I am seeing a LOT of messages in the log about replacement transactions being rejected due to their paying less in fees than the transactions they would replace. I understand that this could happen legitimately from time to time, due to my node's receiving a replacing transaction prior to receiving the replaced transaction; however, due to the ongoing spam attack, I am seeing a steady stream of these rejection messages, dozens per second at times. I am wondering if each replacement rejection ought to penalize the peer who relayed the offending transaction, and if the penalty builds up enough, then the peer could be temporarily banned, similar to how other "misbehaving" peers are treated.
>
> [1] https://github.com/petertodd/bitcoin/commits/replace-by-fee-v0.10.2
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev